function [clds,num,den]=clden(num,den,testpt)

% function [clds,num,den]=clden(num,den,testpt)
% calculates closed-loop characteristic equation
% (denominator polynomial) for each region
% (for each testpt = point on the real axis)

% June 14, Sept25

[num,den]=addz(num,den);
for k=1:length(testpt)   
   clds(k,:) = den - num/testpt(k);
end
