function Newroot = erase(root)

% FUNCTION Groot=erase(Grootloc) erase roots that are the same
% so only distinct roots are remaining

% 97 Feb 23 May 15 
% 2004 June 19

if nargin == 0
    display('USAGE: [range]= erase(root)')
    return
elseif nargin > 1
    error('too many input arguments!')
end
s = 1;                   % counter
Newroot = [];            % initialize new vector that doesn't include same roots
for k = 1:length(root),
   if isempty(Newroot),
      ind = [];
   else
      ind = find(Newroot == root(k));   % compare the new vector (Newroot) with the vector (root)
   end
   if isempty(ind),                     % if there is no similarity between the 2 vector elements
      Newroot(s,:) = root(k);           % get the new vector (Newroot)
      s = s+1;                          % increment the counter
   end  
end   

