function ind = locate(ymax,Gre,Gim,Groot)

% function ind = locate(Groot) finds the Groot that needs zooming

% 97 June 3
% 2004 august 24

if nargin == 0
    disp('USAGE: ind = locate(ymax,Gre,Gim,Groot)')
    return
elseif nargin < 4
    error('you should enter 4 input arguments')
end
% do not check first and/or last root if they are zero
if ~all(Groot==0),
   if Groot(1)==0 & Groot(length(Groot))==0,
      g=2:length(Groot)-1;
   elseif Groot(1)==0,
      g=2:length(Groot);
   elseif Groot(length(Groot))==0,   
      g=1:length(Groot)-1;
   else
      g=1:length(Groot);
   end
   % For matlab v5, matrix assignment must be within the range of matrix
   if Groot==0 & length(Groot)==1, g=[]; end
   ind1=find( abs(Groot(g)) < 0.05*(max(Groot)-min(Groot)) );
   ind2 = find( ymax < 0.1*(max(abs(Gim))) ); 
   ind=[];
   if ~isempty(ind1),
      ind=ind1;
   elseif ~isempty(ind1) & g(1)==2,
      ind=ind1+1;
   elseif ~isempty(ind2),
      ind=ind2;
   end
else
   ind=[];
end
