function [REnum,REden,IMnum,IMden]=g2reim(num,den)

% FUNCTION [REnum,REden,IMnum, IMden]=gre2im(num,den) 
% finds the corresponding real and imaginary of G(jw) plot
% in terms of their numerator and denominator   

% 97 Feb21,23
% 2004 august 28

if nargin == 0
    disp('USAGE  : [REnum,REden,IMnum,IMden]=g2reim(num,den)')
    return
elseif nargin < 2
    error('wrong number of input arguments')
end
[num1,den1]=s2jw(num,den);
% express num1/den1 in terms of a + j b
num2=conv(num1,conj(den1));
den2=conv(den1,conj(den1)); 
% find a in terms of num and den
REnum=real(num2);
REden=den2;
% find the imaginary part b in terms of num and den
IMnum=imag(num2);
IMden=den2;
[REnum,REden]=clean(REnum,REden);
[IMnum,IMden]=clean(IMnum,IMden);
